BDU:2018-00148: Уязвимость библиотеки Apache XML-RPC (ws-xmlrpc), связанная с восстановлением данных из внешнего источника без достаточной верификации, позволяющая нарушителю выполнить произвольный код

Описание уязвимости Уязвимость библиотеки Apache XML-RPC существует из-за восстановления данных из внешнего источника без достаточной верификации. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, выполнить произвольный код при помощи специально сформированного сериализованного Java-объекта с использованием элемента <ex:serializable>
Вендор Apache Software Foundation
Наименование ПО Apache XML-RPC
Версия ПО
  • 3.1.3
Тип ПО Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Восстановление в памяти недостоверных данных
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 12.07.2016
Базовый вектор уязвимости
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)
Возможные меры по устранению уязвимости
Ограничение использования программного обеспечения до выпуска обновления, устраняющего данную уязвимость или использование сторонних средств защиты
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Организационные меры
Информация об устранении Информация об устранении отсутствует
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения